# getSalaryInformation

## getSalaryInformation

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getSalaryInformation`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get average salary paid in company and its comparison to the industry for every year with analysis such as:\
`* Min salary`\
`* Salary slices`\
`* Max salary`\
`* Industrial average salary`\
`* Industrial median salary`\
`* Step`\
`* Total companies`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getSalaryInformation' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name      | Type   | Description                                                          |
| --------- | ------ | -------------------------------------------------------------------- |
| language  | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en". |
| token     | string | Your 'access token' (API key).                                       |
| reg\_code | string | Company registration number.                                         |
| country   | string | 3-letter country code "EST". Default is "EST".                       |

{% tabs %}
{% tab title="200 " %}

```javascript
[
    {
        "annual_year": 2017,
        "company_avg_salary": 1377,
        "analysis": {
            "min_salary": 175,
            "slice1_salary": 787,
            "slice2_salary": 1615,
            "max_salary": 4049,
            "industrial_avg_salary": 2112,
            "industrial_median_salary": 1021,
            "step": 8.7,
            "total_companies": 26
        }
    },
    {
        "annual_year": 2016,
        "company_avg_salary": 1084,
        "analysis": []
    },
    {
        "annual_year": 2015,
        "company_avg_salary": 1037,
        "analysis": []
    }
]
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Only EST country supported in this request"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bisnode.ee/financial-information/getsalaryinformation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
